Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.executor
Class GrailsFlowExecutor

    java.lang.Object
      org.springframework.webflow.executor.FlowExecutorImpl
          org.codehaus.groovy.grails.webflow.executor.GrailsFlowExecutor

All Implemented Interfaces:
  org.springframework.webflow.executor.FlowExecutor

    public class GrailsFlowExecutor

extends org.springframework.webflow.executor.FlowExecutorImpl

Class description here.

Since:
  0.4

  Created: Jul 20, 2007 Time: 5:46:45 PM
Author:
  Graeme Rocher

Constructor Summary
`GrailsFlowExecutor(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator, org.springframework.webflow.execution.FlowExecutionFactory executionFactory, org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)` Create a new flow executor.

Method Summary
`org.springframework.webflow.executor.ResponseInstruction` | `launch(String flowDefinitionId, org.springframework.webflow.context.ExternalContext context)`
`org.springframework.webflow.executor.ResponseInstruction` | `refresh(String flowExecutionKey, org.springframework.webflow.context.ExternalContext context)`
`org.springframework.webflow.executor.ResponseInstruction` | `resume(String flowExecutionKey, String eventId, org.springframework.webflow.context.ExternalContext context)`

Methods inherited from class org.springframework.webflow.executor.FlowExecutorImpl
`createInput, getDefinitionLocator, getExecutionFactory, getExecutionRepository, getInputMapper, setInputMapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsFlowExecutor

    public GrailsFlowExecutor(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator,
                              org.springframework.webflow.execution.FlowExecutionFactory executionFactory,
                              org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)

  Create a new flow executor.

  Parameters:
    `definitionLocator` - the locator for accessing flow definitions to execute
    `executionFactory` - the factory for creating executions of flow definitions
    `executionRepository` - the repository for persisting paused flow executions

Method Detail

### launch

    public org.springframework.webflow.executor.ResponseInstruction launch(String flowDefinitionId,
                                                                           org.springframework.webflow.context.ExternalContext context)
                                                                    throws org.springframework.webflow.core.FlowException

  Specified by:
    `launch` in interface `org.springframework.webflow.executor.FlowExecutor`
  Overrides:
    `launch` in class `org.springframework.webflow.executor.FlowExecutorImpl`
  Throws:
    `org.springframework.webflow.core.FlowException`

### resume

    public org.springframework.webflow.executor.ResponseInstruction resume(String flowExecutionKey,
                                                                           String eventId,
                                                                           org.springframework.webflow.context.ExternalContext context)
                                                                    throws org.springframework.webflow.core.FlowException

  Specified by:
    `resume` in interface `org.springframework.webflow.executor.FlowExecutor`
  Overrides:
    `resume` in class `org.springframework.webflow.executor.FlowExecutorImpl`
  Throws:
    `org.springframework.webflow.core.FlowException`

### refresh

    public org.springframework.webflow.executor.ResponseInstruction refresh(String flowExecutionKey,
                                                                            org.springframework.webflow.context.ExternalContext context)
                                                                     throws org.springframework.webflow.core.FlowException

  Specified by:
    `refresh` in interface `org.springframework.webflow.executor.FlowExecutor`
  Overrides:
    `refresh` in class `org.springframework.webflow.executor.FlowExecutorImpl`
  Throws:
    `org.springframework.webflow.core.FlowException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project